<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_action('init', function() {

    Gutenberg::init('invite-link');

    register_block_type('argus-wordpress-plugin/argus-discord-invite-link-gutenberg-block', [
        'editor_script'   => 'argus-discord-invite-link-gutenberg-block',
        'render_callback' => function($instance) {
            $link                  = $instance['link'] ?? 0;
            $content               = $instance['text'] ?? __("here", 'argus-wordpress-plugin');
            $instance['className'] = $instance['className'] ?? '';

            $invite = Data::getInviteLink($link);

            return '<a class="' . $instance['className'] . '" href="' . $invite . '" target="_blank">' . $content . '</a>';
        },
    ]);
});
