<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_shortcode('argus-discord-username', function() {

    $discordID = get_user_meta(get_current_user_id(), 'dwpp-discord-id', true);
    if ($discordID) {
        $profileData = Data::findProfile($discordID);
        if (isset($profileData->username) && isset($profileData->discriminator)) {
            return $profileData->username . '#' . $profileData->discriminator;
        }
    }
});
