<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_shortcode('argus-discord-share-button', function($attributes, $content) {

    if (!$attributes || !is_array($attributes)) $attributes = [];

    if (!$content) {
        $content = __("Share on Discord", 'argus-wordpress-plugin');
    }

    $link = Data::getShareLink();

    if (isset($attributes['style'])) {
        $class = 'argus-discord__button--' . $attributes['style'] . '-style';
    } else {
        $class = 'argus-discord__button--no-style';
    }

    return '<a class="argus-discord__share ' . $class . '" href="' . $link . '">' . $content . '</a>';
});
